SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;


CREATE TABLE IF NOT EXISTS `custompage` (
  `name` varchar(50) NOT NULL,
  `content` text NOT NULL,
  `allow` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `custompage` (`name`, `content`, `allow`) VALUES
('Custom page', '<h2>Custom Page</h2>\r\n<p>Maecenas libero. Integer vulputate sem a nibh rutrum consequat. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat. Nam sed tellus id magna elementum tincidunt. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio a lectus. Nunc tincidunt ante vitae massa. Nulla est. Etiam posuere lacus quis dolor. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Nulla quis diam. Aliquam erat volutpat. Aliquam erat volutpat. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Aliquam id dolor.</p>', 1);

CREATE TABLE IF NOT EXISTS `photos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL,
  `description` text NOT NULL,
  `name` varchar(350) NOT NULL,
  `photo_name` varchar(250) NOT NULL,
  `rating` int(11) NOT NULL,
  `display` int(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=31 ;

CREATE TABLE IF NOT EXISTS `rating` (
  `user_id` bigint(20) NOT NULL,
  `photo_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `rights` (
  `title` varchar(255) CHARACTER SET utf8 NOT NULL,
  `content` text CHARACTER SET utf8 NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

INSERT INTO `rights` (`title`, `content`) VALUES
('Permissions Request', '<p style="margin-bottom: 0cm;"><span lang="en-GB">This application requires certain user data to function properly. Participants in the contest must be correctly designated, along with information as to who voted for the contest image and how. The application cannot be started or properly operate without this basic user information. It would essentially be impossible to determine the contest winner or provide information about having won. That is why it is necessary you approve access to some information upon entry.</span></p>');

CREATE TABLE IF NOT EXISTS `settings` (
  `event` varchar(300) NOT NULL,
  `count` int(11) NOT NULL,
  `url` varchar(500) NOT NULL,
  `img_per_page` int(11) NOT NULL,
  `condition` text NOT NULL,
  `start` datetime NOT NULL,
  `end` datetime NOT NULL,
  `privacy` text NOT NULL,
  `tracking` text NOT NULL,
  `image_top` varchar(4) NOT NULL,
  `image_form` varchar(4) NOT NULL,
  `becomefan` varchar(4) NOT NULL,
  `admin_mail` varchar(250) NOT NULL,
  `color1` varchar(6) NOT NULL,
  `color2` varchar(6) NOT NULL,
  `color3` varchar(6) NOT NULL,
  `color4` varchar(6) NOT NULL,
  `color5` varchar(6) NOT NULL,
  `color6` varchar(6) NOT NULL,
  `color7` varchar(6) NOT NULL,
  `color8` varchar(6) NOT NULL,
  `m_color1` varchar(6) NOT NULL,
  `m_color2` varchar(6) NOT NULL,
  `m_color3` varchar(6) NOT NULL,
  `m_color4` varchar(6) NOT NULL,
  `m_color5` varchar(6) NOT NULL,
  `allow` int(11) DEFAULT '1',
  `allow_upmail` int(1) DEFAULT '0',
  `allow_upmaila` int(1) DEFAULT '0',
  `allow_upmailv` int(1) DEFAULT '0',
  `fanallow` int(1) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `settings` (`event`, `count`, `url`, `img_per_page`, `condition`, `start`, `end`, `privacy`, `tracking`, `image_top`, `image_form`, `becomefan`, `admin_mail`, `color1`, `color2`, `color3`, `color4`, `color5`, `color6`, `color7`, `color8`, `m_color1`, `m_color2`, `m_color3`, `m_color4`, `m_color5`, `allow`, `allow_upmail`, `allow_upmaila`, `allow_upmailv`, `fanallow`) VALUES
('Photo Contest Demo', 30, 'https://www.facebook.com/pages/Photo-or-Image-Contest/457225521028147', 12, '<h2>Rules and Prizes</h2>\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nulla est. Aliquam erat volutpat. Cras pede libero, dapibus nec, pretium sit amet, tempor quis. Pellentesque ipsum. Nullam sapien sem, ornare ac, nonummy non, lobortis a enim. Duis ante orci, molestie vitae vehicula venenatis, tincidunt ac pede. Nulla pulvinar eleifend sem. Donec vitae arcu. Fusce consectetuer risus a nunc. Aliquam erat volutpat. Etiam dictum tincidunt diam. Pellentesque pretium lectus id turpis. Cras pede libero, dapibus nec, pretium sit amet, tempor quis. Praesent id justo in neque elementum ultrices. Aenean id metus id velit ullamcorper pulvinar. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Fusce suscipit libero eget elit. Aenean fermentum risus id tortor. Nullam feugiat, turpis at pulvinar vulputate, erat libero tristique tellus, nec bibendum odio risus sit amet ante. Curabitur bibendum justo non orci. Aenean vel massa quis mauris vehicula lacinia. Mauris dictum facilisis augue. Etiam egestas wisi a erat. Nulla pulvinar eleifend sem. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam eget nisl. Donec vitae arcu. Fusce suscipit libero eget elit. Pellentesque pretium lectus id turpis. Vestibulum fermentum tortor id mi. Aliquam ornare wisi eu metus. Praesent vitae arcu tempor neque lacinia pretium. Fusce dui leo, imperdiet in, aliquam sit amet, feugiat eu, orci.</p>', '2013-04-24 00:00:00', '2014-04-28 00:00:00', '<h2>Privacy Policy and Terms of use</h2>\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nulla est. Aliquam erat volutpat. Cras pede libero, dapibus nec, pretium sit amet, tempor quis. Pellentesque ipsum. Nullam sapien sem, ornare ac, nonummy non, lobortis a enim. Duis ante orci, molestie vitae vehicula venenatis, tincidunt ac pede. Nulla pulvinar eleifend sem. Donec vitae arcu. Fusce consectetuer risus a nunc. Aliquam erat volutpat. Etiam dictum tincidunt diam. Pellentesque pretium lectus id turpis. Cras pede libero, dapibus nec, pretium sit amet, tempor quis. Praesent id justo in neque elementum ultrices. Aenean id metus id velit ullamcorper pulvinar. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos hymenaeos. Fusce suscipit libero eget elit. Aenean fermentum risus id tortor. Nullam feugiat, turpis at pulvinar vulputate, erat libero tristique tellus, nec bibendum odio risus sit amet ante. Curabitur bibendum justo non orci. Aenean vel massa quis mauris vehicula lacinia. Mauris dictum facilisis augue. Etiam egestas wisi a erat. Nulla pulvinar eleifend sem. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam eget nisl. Donec vitae arcu. Fusce suscipit libero eget elit. Pellentesque pretium lectus id turpis. Vestibulum fermentum tortor id mi. Aliquam ornare wisi eu metus. Praesent vitae arcu tempor neque lacinia pretium. Fusce dui leo, imperdiet in, aliquam sit amet, feugiat eu, orci.</p>', '', 'jpg', 'jpg', 'jpg', 'somemail@demo.tld', '577DC2', '6179AC', '577DC2', 'FFFFFF', '', 'FFFFFF', '577DC2', 'FFFFFF', '465E91', 'FFFFFF', '577DC2', '6179AC', 'FFFFFF', 1, 0, 0, 0, 0);

CREATE TABLE IF NOT EXISTS `uptable` (
  `cctable` int(11) NOT NULL,
  `ddtable` text NOT NULL,
  `eetable` int(11) NOT NULL,
  `fftable` int(11) NOT NULL,
  `ggtable` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `users` (
  `id` bigint(20) NOT NULL,
  `username` varchar(222) NOT NULL,
  `photo_count` int(11) NOT NULL DEFAULT '1',
  `user_profile` varchar(400) NOT NULL,
  `email` varchar(250) NOT NULL,
  `token` varchar(250) NOT NULL,
  `extended` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
